Summary: Image Blending with Multiresolution Splines
Name: enblend
Version: 3.1
Release: 0.3.20080216cvs%{?dist}
License: GPLv2+
Group: Applications/Multimedia
# The source for this package was pulled from upstream's CVS.  Use the
# following commands to generate the tarball:
#  cvs -d:pserver:anonymous@enblend.cvs.sourceforge.net:/cvsroot/enblend login 
#  cvs -z3 -d:pserver:anonymous@enblend.cvs.sourceforge.net:/cvsroot/enblend co -D '2008-02-16 21:00:00' -P enblend
#  cd enblend && make -f Makefile.cvs && ./configure && make dist
#Source: http://downloads.sourceforge.net/enblend/enblend-enfuse-%{version}.tar.gz
Source: enblend-enfuse-%{version}.tar.gz

Patch0: enblend-gcc43.patch

URL: http://enblend.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libtiff-devel boost-devel lcms-devel plotutils-devel
BuildRequires: freeglut-devel glew-devel libjpeg-devel libpng-devel
BuildRequires: libXmu-devel libXi-devel

%description
Enblend is a tool for compositing images. Given a set of images that overlap in
some irregular way, Enblend overlays them in such a way that the seam between
the images is invisible, or at least very difficult to see. Enblend does not
line up the images for you. Use a tool like hugin to do that.

%prep
%setup -q -n enblend-enfuse-%{version}
%patch0 -p1

%build
%configure --disable-static
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO VIGRA_LICENSE
%{_bindir}/enblend
%{_bindir}/enfuse
%{_mandir}/man1/enblend.1.gz
%{_mandir}/man1/enfuse.1.gz

%changelog
* Mon Apr 7 2008 Jef Spaleta <jspaleta AT fedoraproject Dot org> - 3.1-0.3.20080216cvs
- Patching for GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.1-0.2.20080216cvs
- Autorebuild for GCC 4.3

* Sat Feb 16 2008 Bruno Postle <bruno@postle.net> 3.1-0.1.20090216cvs
  - CVS snapshot, 3.1 beta, tarball name change

* Mon Jan 21 2008 Bruno Postle <bruno@postle.net> 3.1-0.1.20090106cvs
  - CVS snapshot, 3.1 beta, switch to fedora cvs naming

* Sun Jan 06 2008 Bruno Postle <bruno@postle.net> 3.1-0cvs20090106
  - CVS snapshot, 3.1 beta

* Mon Aug 20 2007 Bruno Postle <bruno@postle.net> 3.0-6
  - glew is now in fedora, remove build-without-glew patch
  - update licence tag, GPL -> GPLv2+

* Tue Mar 20 2007 Bruno Postle <bruno@postle.net> 3.0-4
  - patch to build without glew library

* Sat Jan 28 2007 Bruno Postle <bruno@postle.net>
  - 3.0 release

* Tue Dec 13 2005 Bruno Postle <bruno@postle.net>
  - 2.5 release

* Tue Dec 06 2005 Bruno Postle <bruno@postle.net>
  - 2.4 release

* Mon Apr 18 2005 Bruno Postle <bruno@postle.net>
  - 2.3 release

* Mon Nov 15 2004 Bruno Postle <bruno@postle.net>
  - 2.1 release

* Mon Oct 18 2004 Bruno Postle <bruno@postle.net>
  - 2.0 release

* Wed Oct 13 2004 Bruno Postle <bruno@postle.net>
  - new build for fedora fc2

* Tue Jun 22 2004 Bruno Postle <bruno@postle.net>
  - found tarball of enblend-1.3 and updated to that

* Tue Jun 22 2004 Bruno Postle <bruno@postle.net>
  - added patch for reading nona multi-layer tiff files

* Tue Apr 27 2004 Bruno Postle <bruno@postle.net>
  - update to latest version

* Sat Apr 03 2004 Bruno Postle <bruno@postle.net>
  - update to latest version

* Tue Mar 09 2004 Bruno Postle <bruno@postle.net>
  - initial RPM

 
